<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Notifications/include/Notifications/NotificationsStorageInterface.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a></li><li class="navelem"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a></li><li class="navelem"><a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">NotificationsStorageInterface.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_notifications_storage_interface_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_NOTIFICATIONS_INCLUDE_NOTIFICATIONS_NOTIFICATIONSSTORAGEINTERFACE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_NOTIFICATIONS_INCLUDE_NOTIFICATIONS_NOTIFICATIONSSTORAGEINTERFACE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h.html">AVSCommon/AVS/IndicatorState.h</a>&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_notification_indicator_8h.html">NotificationIndicator.h</a>&quot;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>notifications {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html">   34</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html">NotificationsStorageInterface</a> {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a98080ab5d94a8f1798b05abe18635442">   37</a></span>&#160;    <span class="keyword">using</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a> = <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">avsCommon::avs::IndicatorState</a>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a2f5f9bc0e46d2348ab309ab89c87c03c">~NotificationsStorageInterface</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a6ecee82dc58ecf8ad5101572585f7889">createDatabase</a>() = 0;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a09bcdd7cb6115d1a73d90235bd254d24">open</a>() = 0;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a2e8e0ca85a40291d179f955a33f3505f">close</a>() = 0;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#ae2efb8caebf34f82d54c1fc0874d98a2">enqueue</a>(<span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a>&amp; notificationIndicator) = 0;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#abc1461d794d8f3e3c71246240587f5b3">dequeue</a>() = 0;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#ab631db6e3015e95055d75a32eb8d0b5c">peek</a>(<a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a>* notificationIndicator) = 0;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a6b9b7bb20a8a9716f3ff7f7efafa5dfa">setIndicatorState</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a> state) = 0;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#af230a2ba6919fe579f6be6e82ee8a29d">getIndicatorState</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a>* state) = 0;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a67aa409af0aed34e41dc17240fe3d90b">checkForEmptyQueue</a>(<span class="keywordtype">bool</span>* empty) = 0;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a5472b2cc4073addea17e0deca304e519">clearNotificationIndicators</a>() = 0;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a8d38c62f0093b3e1a5b9c2f240b35deb">getQueueSize</a>(<span class="keywordtype">int</span>* size) = 0;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;};</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;}  <span class="comment">// namespace notifications</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_NOTIFICATIONS_INCLUDE_NOTIFICATIONS_NOTIFICATIONSSTORAGEINTERFACE_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_ae2efb8caebf34f82d54c1fc0874d98a2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#ae2efb8caebf34f82d54c1fc0874d98a2">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::enqueue</a></div><div class="ttdeci">virtual bool enqueue(const NotificationIndicator &amp;notificationIndicator)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_abc1461d794d8f3e3c71246240587f5b3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#abc1461d794d8f3e3c71246240587f5b3">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::dequeue</a></div><div class="ttdeci">virtual bool dequeue()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_a8d38c62f0093b3e1a5b9c2f240b35deb"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a8d38c62f0093b3e1a5b9c2f240b35deb">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::getQueueSize</a></div><div class="ttdeci">virtual bool getQueueSize(int *size)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_a2e8e0ca85a40291d179f955a33f3505f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a2e8e0ca85a40291d179f955a33f3505f">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::close</a></div><div class="ttdeci">virtual void close()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_a5472b2cc4073addea17e0deca304e519"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a5472b2cc4073addea17e0deca304e519">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::clearNotificationIndicators</a></div><div class="ttdeci">virtual bool clearNotificationIndicators()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_a2f5f9bc0e46d2348ab309ab89c87c03c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a2f5f9bc0e46d2348ab309ab89c87c03c">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::~NotificationsStorageInterface</a></div><div class="ttdeci">virtual ~NotificationsStorageInterface()=default</div></div>
<div class="ttc" id="_notification_indicator_8h_html"><div class="ttname"><a href="_notification_indicator_8h.html">NotificationIndicator.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a></div><div class="ttdef"><b>Definition:</b> NotificationsStorageInterface.h:34</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_a6ecee82dc58ecf8ad5101572585f7889"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a6ecee82dc58ecf8ad5101572585f7889">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::createDatabase</a></div><div class="ttdeci">virtual bool createDatabase()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_ab631db6e3015e95055d75a32eb8d0b5c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#ab631db6e3015e95055d75a32eb8d0b5c">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::peek</a></div><div class="ttdeci">virtual bool peek(NotificationIndicator *notificationIndicator)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_a67aa409af0aed34e41dc17240fe3d90b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a67aa409af0aed34e41dc17240fe3d90b">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::checkForEmptyQueue</a></div><div class="ttdeci">virtual bool checkForEmptyQueue(bool *empty)=0</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_af230a2ba6919fe579f6be6e82ee8a29d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#af230a2ba6919fe579f6be6e82ee8a29d">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::getIndicatorState</a></div><div class="ttdeci">virtual bool getIndicatorState(IndicatorState *state)=0</div></div>
<div class="ttc" id="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h_html"><div class="ttname"><a href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h.html">IndicatorState.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a6a5edb881441743163d6e1e4fd5423a0"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">alexaClientSDK::avsCommon::avs::IndicatorState</a></div><div class="ttdeci">IndicatorState</div><div class="ttdef"><b>Definition:</b> IndicatorState.h:30</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator</a></div><div class="ttdef"><b>Definition:</b> NotificationIndicator.h:30</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_a6b9b7bb20a8a9716f3ff7f7efafa5dfa"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a6b9b7bb20a8a9716f3ff7f7efafa5dfa">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::setIndicatorState</a></div><div class="ttdeci">virtual bool setIndicatorState(IndicatorState state)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface_html_a09bcdd7cb6115d1a73d90235bd254d24"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a09bcdd7cb6115d1a73d90235bd254d24">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::open</a></div><div class="ttdeci">virtual bool open()=0</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
